| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHashComputer< csInputDefinition > Class Template Reference

csHashComputer<> specialization for csInputDefinition to allow its use as hash key type. More...

`#include <csutil/inputdef.h>`

List of all members.

## Static Public Member Functions
static uint | ComputeHash (csInputDefinition const &key)

## Detailed Description

### template<>
class csHashComputer< csInputDefinition >

csHashComputer<> specialization for csInputDefinition to allow its use as hash key type.

Definition at line 278 of file inputdef.h.

The documentation for this class was generated from the following file:

- csutil/inputdef.h